# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at

#   http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

- id: hero.title
  translation: Apache Flink

- id: hero.subtitle
  translation: 数据流上的有状态计算

- id: hero.blurb
  translation: Apache Flink 是一个框架和分布式处理引擎，用于在无边界和有边界数据流上进行有状态的计算。Flink 能在所有常见集群环境中运行，并能以内存速度和任意规模进行计算。

- id: learn-more
  translation: 了解更多

- id: flink-capabilities
  translation: Flink Capabilities

- id: correctness-guarentees
  translation: 正确性保证

- id: correctness-guarentees.exactly-once
  translation: Exactly-once 状态一致性

- id: correctness-guarentees.event-time
  translation: 事件时间处理

- id: correctness-guarentees.late-data-handling
  translation: 成熟的迟到数据处理

- id: layered-apis
  translation:  分层 API

- id: layered-apis.sql
  translation: SQL on Stream & Batch Data

- id: layered-apis.data-stream-set
  translation: DataStream API

- id: layered-apis.process-function
  translation: ProcessFunction (Time & State)

- id: operational-focus
  translation:  聚焦运维

- id: operational-focus.flexible-deployment
  translation: 灵活部署

- id: operational-focus.high-availability
  translation: 高可用

- id: operational-focus.savepoints
  translation: 保存点

- id: scalability
  translation:  大规模计算

- id: scalability.scale-out
  translation: 水平扩展架构

- id: scalability.large-state
  translation: 支持超大状态

- id: scalability.incremental-checkpoints
  translation: 增量检查点机制

- id: performance
  translation:  性能卓越

- id: performance.low-latency
  translation: 低延迟

- id: performance.high-throughput
  translation: 高吞吐

- id: performance.in-memory
  translation: 内存计算

- id: use-cases
  translation:  所有流式场景

- id: use-cases.event-driven
  translation: 事件驱动应用

- id: use-cases.event-driven.description
  translation: 事件驱动型应用是一类具有状态的应用，它从一个或多个事件流提取数据，并根据到来的事件触发计算、状态更新或其他外部动作。

- id: use-cases.stream-batch
  translation: 流批分析

- id: use-cases.stream-batch.description
  translation: Analytical jobs extract information and insight from raw data. Apache Flink supports traditional batch queries on bounded data sets and real-time, continuous queries from unbounded, live data streams.

- id: use-cases.pipelines-etl
  translation: 数据管道 & ETL

- id: use-cases.pipelines-etl.description
  translation: 提取-转换-加载（ETL）是一种在存储系统之间进行数据转换和迁移的常用方法。

- id: use-cases.learn-more
  translation: 了解Flink的应用场景

- id: blog-posts
  translation: 最新博客列表

- id: footer.disclaimer
  translation: The contents of this website are © 2024 Apache Software Foundation under the terms of the Apache License v2. Apache Flink, Flink, and the Flink logo are either registered trademarks or trademarks of The Apache Software Foundation in the United States and other countries.

- id: footer.flink-packages
  translation: flink-packages.org

- id: footer.apache
  translation: Apache Software Foundation

- id: footer.license
  translation: License

- id: footer.security
  translation: Security

- id: footer.donate
  translation: Donate

- id: footer.thanks
  translation: Thanks

- id: footer.translation
  translation: English

- id: footer.translation.target
  translation: /

- id: footer.blog
  translation: Flink blog

- id: footer.github
  translation: Github

- id: footer.twitter
  translation: Twitter

- id: blogs.recent
  translation: 最新博客列表

- id: blogs.read-more
  translation: Read more blog posts
